/*---------------------------------------------------------------------------
 * File Name: t3rts.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This is the only RTS header file that is supposed to be included
 *  by adaptation modules.
 */

#ifndef __t3rts_h
#define __t3rts_h

#define TTCN3_RTS_HEADERS_INCLUDED

#include "t3rts_common.h"

#include "t3rts_control.h"
#include "t3rts_logging.h"
#include "t3rts_memory.h"
#include "t3rts_rtconf.h"
#include "t3rts_sourcetracking.h"
#include "t3rts_types.h"
#include "t3rts_localization.h"
#include "t3rts_symboltable.h"
#include "t3rts_activationlists.h"
#include "t3rts_attributes.h"
#include "t3rts_binarystrings.h"
#include "t3rts_components.h"
#include "t3rts_ports.h"
#include "t3rts_timers.h"
#include "t3rts_values_predefined.h"
#include "t3rts_widestrings.h"
#include "t3pl_memory.h"
#include "t3pl_time.h"
#include "t3pl_communication.h"
#include "t3ud.h"
#include "t3pl_concurrency.h"
#include "t3rts_context.h"
#include "t3rts_builtin_log.h"
#include "t3rts_customizable_log.h"
#include "t3rts_conditional.h"
#include "t3rts_codecs.h"
#include "t3rts_control_protocol.h"
#include "t3rts_context_decl.h"
#include "t3rts_values_general.h"
#include "t3rts_values_assignments.h"
#include "t3rts_templates.h"
#include "t3rts_event_logging.h"
#include "t3rts_errorhandling.h"
#include "t3rts_regexps.h"
#include "t3rts_xml_log.h"

#endif

/* End of File */

