/*---------------------------------------------------------------------------
 * File Name: t3rts_configuration_key_comments.h
 *
 * Copyright 2001-2004 Telelogic AB, All rights reserved.
 * 
 * This Program is owned by Telelogic and is protected by national
 * copyright laws and international copyright treaties. Telelogic
 * grants you the right to use this Program on one computer or in one
 * local computer network at any one time.  Under this License you may
 * only modify the source code for the purpose of adapting it to your
 * environment. You must reproduce and include any copyright and
 * trademark notices on all copies of the source code.  You may not
 * use, copy, merge, modify or transfer the Program except as provided
 * in this License.  Telelogic does not warrant that the Program will
 * meet your requirements or that the operation of the Program will be
 * uninterrupted and error free. You are solely responsible that the
 * selection of the Program and the modification of the source code
 * will achieve your intended results and that the results are
 * actually obtained.
 *
 * Description:
 *      This file is generated and all modifications made to this file
 * will be gone after regeneration.
 */


#ifndef __t3rts_configuration_key_comments_h
#define __t3rts_configuration_key_comments_h


#include <t3rts_widestrings.h>


extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_TESTCASE_TIMEOUT;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_WAIT_FOR_ACK_TIMEOUT;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_ASSUMING_ALL_ACTIVE;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_LOGGING_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_DEBUGGING_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_LOGGING_RTCONF_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_LOGGING_LOG_MECHS_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_GENERATE_TEMPLATE_MISMATCH;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_LIMITS_EPSILON;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_CODECS_BUILTIN_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_DEBUG_CONTROL_PROTOCOL_MSC_LOG_ENABLED;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_MEMORY_BLOCKSIZE;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_MEMORY_POISONPILL_ENABLED;
extern const t3rt_wide_string_t T3RT__VALUES_VALUE2STR_KINDS_ENABLED;
extern const t3rt_wide_string_t T3RT__VALUES_VALUE2STR_TYPES_ENABLED;
extern const t3rt_wide_string_t T3RT__VALUES_VALUE2STR_FIELDS_ENABLED;
extern const t3rt_wide_string_t T3RT__VALUES_VALUE2STR_PRETTY_PRINT;
extern const t3rt_wide_string_t T3RT__VALUES_VALUE2STR_LIMIT_SIZE;
extern const t3rt_wide_string_t T3RT__LOG_BUILTIN_PRINT_FIELDS;
extern const t3rt_wide_string_t T3RT__LOG_BUILTIN_PRETTY_PRINT;
extern const t3rt_wide_string_t T3RT__LOG_BUILTIN_LIMIT_SIZE;
extern const t3rt_wide_string_t T3RT__RTCONFKEY_COMMENT_LOGGING_BUILTIN_VERBOSITY;


#endif

/* End of File */

